#ifndef OBJMAP_H_INCLUDED
#define OBJMAP_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  void *root;
} objmap_t;

objmap_t *objmap_new();
void *objmap_find(objmap_t *map, void *key, uint32_t keylen);
void *objmap_insert(objmap_t *map, void *key, uint32_t keylen, void *data);
void *objmap_remove(objmap_t *map, void *key, uint32_t keylen);
void* objmap_destroy(objmap_t *map);

#ifdef __cplusplus
};
#endif

#endif
