#!/bin/sh

rm `find . -name '*.so'`
rm `find . -name '*.o'`
rm Abuild/libapp.a

rm -Rf IMGDOC-bin
mkdir IMGDOC-bin

rm Lbuild/textract Lbuild/exgma
mv Lbuild/tencode Lbuild/tdecode Lbuild/tmerge Lbuild/viewer IMGDOC-bin

rm Lbuild-dbg/textract Lbuild-dbg/exgma
rm Lbuild-dbg/tencode Lbuild-dbg/tdecode Lbuild-dbg/tmerge Lbuild-dbg/viewer 

cp NOTES IMGDOC-bin
mv tools/mall IMGDOC-bin
cp tools/pdf2imd.sh IMGDOC-bin
cp Abuild/pak/bin/ImgVie-debug.apk IMGDOC-bin

tar cjf ../IMGDOC-bin.tar.bz2 IMGDOC-bin

rm -Rf IMGDOC-bin
echo binary package is in ../IMGDOC-bin.tar.bz2

PAK=`basename $PWD`
cd ../
tar cjf $PAK.tar.bz2 $PAK
cd $PAK
echo source package is in ../$PAK.tar.bz2


