typedef struct bmk 
{
  struct bmk *children, *parent;
  struct bmk *prev, *next;
  char *title;
  int page;
  int type;
  int level; 
} bmk_t;


bmk_t* bmk_parse(const char *fn);
void unify_bmks(bmk_t *list);

unsigned char *bmk_encode(bmk_t *top, unsigned int *Rsz);
bmk_t *bmk_decode(unsigned char *bdata,unsigned int sz);
