#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include "bmk.h"
#include "firead.h"
#include "pngio.h"

int main(int argc,char **argv)
{
  imdo_t *IM;
  char *ifile;
  int pg;

  char *ie;
  FILE *out;
  unsigned char *enc,*img;
  unsigned int enclen, img_w,img_h;

  ifile= argv[1];
  pg= atoi(argv[2]);

  if (imdo_init(&IM, ifile, 1000))
   exit(fprintf(stderr,"error opening document: %s\n",imdo_error(IM)));
  
  if (imdo_render_page(IM, pg, &img, &img_w, &img_h))
   exit(fprintf(stderr,"error rendering page: %s\n",imdo_error(IM)));

  imdo_close(IM);

  ie= encode_png_g8(img_w, img_h, img, &enclen, &enc);
  if (ie)
   exit(fprintf(stderr,"can't encode: %s\n",ie));

  out= fopen("ZZ.png","wb");
  if (!out) exit(fprintf(stderr,"can't open output\n"));

  fwrite(enc, 1, enclen, out);
  fclose(out);
  return 0;
}
